Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierRefreshCompleteMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierRefreshCompleteMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierRefreshCompleteMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected VersionKey[]` | `keys` DESCRIBE THE FIELD
`protected int[]` | `updates` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierRefreshCompleteMessage(int uid, VersionKey[] keys, int[] updates, NodeHandle source, Id dest, char tag)` Constructor for GlacierRefreshCompleteMessage.

Method Summary
`VersionKey` | `getKey(int index)` Gets the Key attribute of the GlacierRefreshCompleteMessage object
`long` | `getUpdates(int index)` Gets the Updates attribute of the GlacierRefreshCompleteMessage object
`int` | `numKeys()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected VersionKey[] keys

  DESCRIBE THE FIELD

### updates

    protected int[] updates

  DESCRIBE THE FIELD

Constructor Detail

### GlacierRefreshCompleteMessage

    public GlacierRefreshCompleteMessage(int uid,
                                         VersionKey[] keys,
                                         int[] updates,
                                         NodeHandle source,
                                         Id dest,
                                         char tag)

  Constructor for GlacierRefreshCompleteMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `keys` - DESCRIBE THE PARAMETER
  `updates` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getKey

    public VersionKey getKey(int index)

  Gets the Key attribute of the GlacierRefreshCompleteMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Key value

### getUpdates

    public long getUpdates(int index)

  Gets the Updates attribute of the GlacierRefreshCompleteMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Updates value

### numKeys

    public int numKeys()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.